package com.heyu.api.data.service.impl.reverse;


import com.heyu.api.data.entity.vv.VvReverseOrderEntity;
import com.heyu.api.data.enums.ActionEnums;
import com.heyu.api.data.enums.ReverseStatusEnums;
import com.heyu.api.data.service.impl.AbstractReverseAction;

public class SellerQaCheckFinishedAction extends AbstractReverseAction {
    @Override
    public ActionEnums getAction(VvReverseOrderEntity vvReverseOrderEntity, boolean isApp, boolean isAdmin) {
        if (
                ReverseStatusEnums.agree_sign_receipt.getStatus().equals(vvReverseOrderEntity.getStatus())
        ) {
            if (isAdmin) {
                return ActionEnums.Admin_Seller_Qa_Check_Finished;
            }
        }
        return null;
    }
}
